Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.chat.utility
Class ReadWriteArrayList

    java.lang.Object
      org.jboss.remoting.samples.chat.utility.ReadWriteArrayList

All Implemented Interfaces:
  java.io.Serializable

    public class ReadWriteArrayList

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ReadWriteArrayList()`

Method Summary
`boolean` | `add(java.lang.Object o)`
`java.util.ArrayList` | `copy()`
`java.lang.Object` | `firstElement()`
`java.lang.Object` | `get(int i)`
`java.lang.Object` | `remove(int i)`
`int` | `size()`
`java.util.List` | `subList(int from, int to)`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`
`java.util.ArrayList` | `toArrayList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadWriteArrayList

    public ReadWriteArrayList()

Method Detail

### add

    public boolean add(java.lang.Object o)

### get

    public java.lang.Object get(int i)

### copy

    public java.util.ArrayList copy()

### subList

    public java.util.List subList(int from,
                                  int to)

### firstElement

    public java.lang.Object firstElement()

### remove

    public java.lang.Object remove(int i)

### size

    public int size()

### toArray

    public java.lang.Object[] toArray()

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

### toArrayList

    public java.util.ArrayList toArrayList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.